com.strongloop.android.remoting.adapters

## Class StreamParam

- java.lang.Object
- - com.strongloop.android.remoting.adapters.StreamParam

    public class StreamParam
    extends java.lang.Object

A request parameter that is a (binary) stream.

### Constructor Summary

Constructors
Constructor and Description
`StreamParam(java.io.InputStream stream, java.lang.String fileName)`
`StreamParam(java.io.InputStream stream, java.lang.String fileName, java.lang.String contentType)`

### Method Summary

Methods
`void` `putTo(RequestParams params, java.lang.String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamParam

    public StreamParam(java.io.InputStream stream,
               java.lang.String fileName)

#### StreamParam

    public StreamParam(java.io.InputStream stream,
               java.lang.String fileName,
               java.lang.String contentType)

### Method Detail

#### putTo

    public void putTo(RequestParams params,
             java.lang.String key)